org.icefaces.ace.component.tooltip

## Enum TooltipBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<TooltipBase.PropertyKeys>
  - - org.icefaces.ace.component.tooltip.TooltipBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TooltipBase.PropertyKeys>
  Enclosing class:
    TooltipBase

      protected static enum TooltipBase.PropertyKeys
      extends java.lang.Enum<TooltipBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cancelDisplay`
    `delegateDisplayListener`
    `displayListener`
    `fetch`
    `forContainer`
    `forDelegate`
    `forElement`
    `forValue`
    `global`
    `hideDelay`
    `hideEffect`
    `hideEffectLength`
    `hideEvent`
    `position`
    `showDelay`
    `showEffect`
    `showEffectLength`
    `showEvent`
    `speechBubble`
    `store`
    `style`
    `styleClass`
    `targetPosition`
    `widgetVar`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static TooltipBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TooltipBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### delegateDisplayListener

          public static final TooltipBase.PropertyKeys delegateDisplayListener

    - #### displayListener

          public static final TooltipBase.PropertyKeys displayListener

    - #### fetch

          public static final TooltipBase.PropertyKeys fetch

    - #### forValue

          public static final TooltipBase.PropertyKeys forValue

    - #### forContainer

          public static final TooltipBase.PropertyKeys forContainer

    - #### forDelegate

          public static final TooltipBase.PropertyKeys forDelegate

    - #### forElement

          public static final TooltipBase.PropertyKeys forElement

    - #### global

          public static final TooltipBase.PropertyKeys global

    - #### hideDelay

          public static final TooltipBase.PropertyKeys hideDelay

    - #### hideEffect

          public static final TooltipBase.PropertyKeys hideEffect

    - #### hideEffectLength

          public static final TooltipBase.PropertyKeys hideEffectLength

    - #### hideEvent

          public static final TooltipBase.PropertyKeys hideEvent

    - #### position

          public static final TooltipBase.PropertyKeys position

    - #### showDelay

          public static final TooltipBase.PropertyKeys showDelay

    - #### showEffect

          public static final TooltipBase.PropertyKeys showEffect

    - #### showEffectLength

          public static final TooltipBase.PropertyKeys showEffectLength

    - #### showEvent

          public static final TooltipBase.PropertyKeys showEvent

    - #### speechBubble

          public static final TooltipBase.PropertyKeys speechBubble

    - #### store

          public static final TooltipBase.PropertyKeys store

    - #### style

          public static final TooltipBase.PropertyKeys style

    - #### styleClass

          public static final TooltipBase.PropertyKeys styleClass

    - #### targetPosition

          public static final TooltipBase.PropertyKeys targetPosition

    - #### widgetVar

          public static final TooltipBase.PropertyKeys widgetVar

    - #### cancelDisplay

          public static final TooltipBase.PropertyKeys cancelDisplay

  - ### Method Detail

    - #### values

          public static TooltipBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TooltipBase.PropertyKeys c : TooltipBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TooltipBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TooltipBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.